@import "~@/assets/sass/theme.sass"
@import "~@/assets/sass/common/typography.sass"

.gallery
  padding: 100px 0
  display: grid
  grid-row-gap: 100px
  align-items: center
  justify-items: center
  @media (max-width: $mbp)
    padding: 50px 0
    grid-row-gap: 50px
  &-wrapper
    background: url("~@/assets/images/gallery/GalleryBg.jpg") no-repeat center
    background-size: cover
    @media (min-width: $tbp)
      background-size: 150%
      opacity: .5
  &-header
    display: flex
    flex-direction: column
  &__title
    @extend .text-f36
    color: $white
    font-weight: 700
    margin-bottom: 24px
    opacity: 0
    @media (max-width: $mbp)
      font-size: $f28-size
      line-height: $f28-lh
  &__gradient
    width: 0
  &-main
    justify-self: stretch
    display: grid
    grid-auto-rows: 404px
    grid-row-gap: 100px
    @media (max-width: $tbp)
      grid-auto-rows: max-content
      grid-row-gap: 24px
  &-row
    display: grid
    grid-column-gap: 60px
    @media (max-width: $mbp)
      grid-row-gap: 24px
    @media (min-width: $mbp - 1)
      &:nth-child(odd)
        grid-template-columns: 1fr 1fr
      &:nth-child(even)
        grid-template-columns: 1fr 1fr
    @media (min-width: $tbp)
      &:nth-child(odd)
        grid-template-columns: 720px 1fr
        .gallery__image
          &:last-child
            height: 236px
      &:nth-child(even)
        grid-template-columns: 1fr 720px
        .gallery__image
          &:first-child
            height: 236px
  &__image
    background-size: cover
    opacity: 0
    background-position: center
    background-repeat: no-repeat
    border-radius: 10px
    overflow: hidden

    @media (max-width: $mbp)
      height: 190px

    @media (max-width: $tbp)
      height: 300px


  &__btn
    @media (max-width: $mbp)
      width: 100%


